コンテンツにスキップ
ログイン サインアップ

Amazon検索

Amazon Searchは、あらゆるキーワードクエリに対して、オーガニックリスティング、スポンサー掲載、関連検索、ページネーションのメタデータを含む構造化された結果を返します。

GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search
ParameterTypeRequiredDescription
api_keystringyesあなたのSERP APIキー(Amazonと共有)。
enginestringyesamazonを指定する必要があります。
typestringyessearchを指定する必要があります。
qstringyes検索キーワード。
domainstringnoマーケットプレイスのドメイン。デフォルトはamazon.com
devicedesktop | mobilenoシミュレートするデバイス。
pageintegerno結果のページ番号。
Terminal window
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=memory%20card"
{
"search_metadata": {
"engine": "amazon",
"amazon_domain": "amazon.com",
"type": "search",
"q": "memory card"
},
"search_information": {
"organic_results_state": "Results for exact spelling",
"total_results": 40000,
"query_displayed": "memory card"
},
"search_results": [
{
"position": 1,
"product_id": "B08GY9NYRM",
"title": "SanDisk 128GB Ultra microSDXC UHS-I Memory Card",
"link": "https://www.amazon.com/dp/B08GY9NYRM",
"thumbnail": "https://m.media-amazon.com/images/I/71...jpg",
"price": "$16.99",
"rating": { "rating": "4.8 out of 5 stars", "total_ratings": 412033 }
}
],
"top_sponsored": [],
"related_searches": ["sd card", "micro sd card 128gb"],
"pagination": { "current_page": 1, "next_page": 2 }
}